LifecycleTransaction.ReaderState.Action (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.lifecycle

## Enum LifecycleTransaction.ReaderState.Action

- java.lang.Object
- - java.lang.Enum<LifecycleTransaction.ReaderState.Action>
  - - org.apache.cassandra.db.lifecycle.LifecycleTransaction.ReaderState.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LifecycleTransaction.ReaderState.Action>
  Enclosing class:
    LifecycleTransaction.ReaderState

      public static enum LifecycleTransaction.ReaderState.Action
      extends java.lang.Enum<LifecycleTransaction.ReaderState.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `OBSOLETED`
    `UPDATED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LifecycleTransaction.ReaderState.Action` | `get(boolean updated, boolean obsoleted)`
    `static LifecycleTransaction.ReaderState.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LifecycleTransaction.ReaderState.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPDATED

          public static final LifecycleTransaction.ReaderState.Action UPDATED

    - #### OBSOLETED

          public static final LifecycleTransaction.ReaderState.Action OBSOLETED

    - #### NONE

          public static final LifecycleTransaction.ReaderState.Action NONE

  - ### Method Detail

    - #### values

          public static LifecycleTransaction.ReaderState.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LifecycleTransaction.ReaderState.Action c : LifecycleTransaction.ReaderState.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LifecycleTransaction.ReaderState.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static LifecycleTransaction.ReaderState.Action get(boolean updated,
                                                                    boolean obsoleted)

Copyright © 2018 The Apache Software Foundation